// Datei: lbntest.c
// Steuert I2C-Textdisplay LBN223
//
// hk@holger-klabunde.de 
// www.holger-klabunde.de
// 23.03.2002
// Compiler CC5x

#include "prozess.h"      // Der verwendete Prozessor
#include "lbntest.h"
#include "protos.h"

#include "delay.c"
#include "i2c.c"
#include "i2clcd.c"

//*******************************************************
// Hauptprogramm
//*******************************************************
void main()
{
 CLRWDT;
 //Takt des PIC 4MHz, ein Zyklus = 1us
 OPTION=0b11000001; //Pullups off,Prescaler auf TMR0, 1:4

 TRISB=0b11111111;  //0=Ausgang, 1=Eingang
 PORTB=0b00000000;  //Port einmal schreiben

 TRISA=0b10000;     //0=Ausgang, 1=Eingang
 PORTA=0b01000;  //Port einmal schreiben

 Delay1ms(255);  //Ein bichen aufs Display warten

 LCDInit();
 LCDCls();
 LCDCursorOff();
//   LCDCursorOn();
//   LCDCursorBlink();
 LCDWrite("LBN223 Testprogramm");
 LCDPos(2,1);
 LCDWrite("Holger Klabunde");

//Ab hier passiert nix mehr ;)
 while(1)
  {
  }//while 1
     
}
